Bug 1982001 - [4.8] Bootimage bump tracker
Summary: [4.8] Bootimage bump tracker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Michael Nguyen
QA Contact: HuijingHei
URL:
Whiteboard:
Depends On: 1981999
Blocks: 1964753 1982002 1982003 1982004 2000696 2004677 2004716 2006963 2007090
TreeView+ depends on / blocked
 
Reported: 2021-07-13 23:26 UTC by Benjamin Gilbert
Modified: 2021-10-12 06:01 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1969651
: 2006965 (view as bug list)
Environment:
Last Closed: 2021-10-12 06:01:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5227 0 None open Bug 1982001: Bump RHCOS 4.8 boot image 2021-09-17 18:54:19 UTC
Red Hat Product Errata RHBA-2021:3682 0 None None None 2021-10-12 06:01:56 UTC

Description Benjamin Gilbert 2021-07-13 23:26:40 UTC
Tracker bug for bootimage bump in 4.8.  This issue should block issues which need a bootimage bump to fix.

The previous bootimage bump was bug 1969651.

Comment 3 Benjamin Gilbert 2021-09-22 18:25:06 UTC
For clarity, the late addition of bug 2006963 is correct; that bug was fixed by code already in the bootimage bump.

Comment 7 HuijingHei 2021-09-29 06:48:22 UTC
Verify passed with 4.8.0-0.nightly-2021-09-28-165247

1) Get region and ami id
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-09-28-165247   True        False         104m    Cluster version is 4.8.0-0.nightly-2021-09-28-165247
[hhei@fedora ~]$ oc -n openshift-machine-api get machinesets
NAME                                          DESIRED   CURRENT   READY   AVAILABLE   AGE
ci-ln-8birdhk-d5d6b-dg896-worker-us-east-2a   2         2         2       2           138m
ci-ln-8birdhk-d5d6b-dg896-worker-us-east-2b   1         1         1       1           138m

$ oc -n openshift-machine-api get machinesets/ci-ln-8birdhk-d5d6b-dg896-worker-us-east-2a -o yaml | grep -E 'ami|region'

            id: ami-09145c219cb4df3e1
            region: us-east-2

2) Get release version
$ oc get nodes
$ oc debug nodes/ip-10-0-243-5.us-east-2.compute.internal
$ chroot /host
sh-4.4# cat /etc/os-release 
NAME="Red Hat Enterprise Linux CoreOS"
VERSION="48.84.202109241901-0"
ID="rhcos"
ID_LIKE="rhel fedora"
VERSION_ID="4.8"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Red Hat Enterprise Linux CoreOS 48.84.202109241901-0 (Ootpa)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8::coreos"
HOME_URL="https://www.redhat.com/"
DOCUMENTATION_URL="https://docs.openshift.com/container-platform/4.8/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="OpenShift Container Platform"
REDHAT_BUGZILLA_PRODUCT_VERSION="4.8"
REDHAT_SUPPORT_PRODUCT="OpenShift Container Platform"
REDHAT_SUPPORT_PRODUCT_VERSION="4.8"
OPENSHIFT_VERSION="4.8"
RHEL_VERSION="8.4"
OSTREE_VERSION='48.84.202109241901-0'

-------------------------------------------------------
match boot image PR with related Region/AMI and version:
"aws": {
  "regions": {
    "us-east-2": {
      "release": "48.84.202109241901-0",
      "image": "ami-09145c219cb4df3e1"
    },
  }
}

Comment 8 HuijingHei 2021-09-29 23:12:11 UTC
Thanks Michael for the confirmation! Change status to VERIFIED according to Comment 7

Comment 10 errata-xmlrpc 2021-10-12 06:01:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3682


Note You need to log in before you can comment on or make changes to this bug.